org.vertx.java.core.impl

## Class VertxInternal

- java.lang.Object
- - org.vertx.java.core.Vertx
  - - org.vertx.java.core.impl.VertxInternal

Direct Known Subclasses:
  DefaultVertx

    public abstract class VertxInternal
    extends Vertx

This class provides services for vert.x core internal use only It is not part of the public API and should not be used by developers creating vert.x applications

### Constructor Summary

Constructors
Constructor and Description
`VertxInternal()`

### Method Summary

Methods
`abstract java.util.concurrent.Executor` `getAcceptorPool()`
`abstract java.util.concurrent.ExecutorService` `getBackgroundPool()`
`abstract Context` `getOrAssignContext()`
`abstract void` `reportException(java.lang.Throwable t)`
`abstract java.util.Map<ServerID,DefaultHttpServer>` `sharedHttpServers()`
`abstract java.util.Map<ServerID,DefaultNetServer>` `sharedNetServers()`
`abstract Context` `startInBackground(java.lang.Runnable runnable)`
`abstract Context` `startOnEventLoop(java.lang.Runnable runnable)`

### Methods inherited from class org.vertx.java.core.Vertx

`cancelTimer, createHttpClient, createHttpServer, createNetClient, createNetServer, createSockJSServer, eventBus, fileSystem, isEventLoop, isWorker, newVertx, newVertx, newVertx, runOnLoop, setPeriodic, setTimer, sharedData`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### VertxInternal

    public VertxInternal()

### Method Detail

#### getAcceptorPool

    public abstract java.util.concurrent.Executor getAcceptorPool()

#### getBackgroundPool

    public abstract java.util.concurrent.ExecutorService getBackgroundPool()

#### startOnEventLoop

    public abstract Context startOnEventLoop(java.lang.Runnable runnable)

#### startInBackground

    public abstract Context startInBackground(java.lang.Runnable runnable)

#### getOrAssignContext

    public abstract Context getOrAssignContext()

#### reportException

    public abstract void reportException(java.lang.Throwable t)

#### sharedHttpServers

    public abstract java.util.Map<ServerID,DefaultHttpServer> sharedHttpServers()

#### sharedNetServers

    public abstract java.util.Map<ServerID,DefaultNetServer> sharedNetServers()